Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0026914
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajorhave not tried2014-06-20 15:542014-06-26 15:51
ReporteralostaleView Statuspublic 
Assigned Toalostale 
PriorityimmediateResolutionfixedFixed in Version3.0PR14Q3
StatusclosedFix in branchFixed in SCM revisiond615b5db09cd
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression levelPre packaging ( pi )
Regression date2014-05-22
Regression introduced in release
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/ee094619e3f0 [^]
Triggers an Emergency PackNo
Summary

0026914: Existent Process Definition can fail if they don't have a single grid param

DescriptionOld process definition marked as "Compatibility with Legacy Grids" which first parameter is not a grid fail to execute.

The problem is in the legacy conversion code: it assumes legacy processes are P&E with a single parameter which is a grid. It will fail if:
-There is no grid parameter
-The grid parameter is not the first one in the JSON sent
Steps To Reproduce-Install Copy Store Process module
-Execute the Copy Store process -> the process is not executed, error is logged in openbravo.log:
org.codehaus.jettison.json.JSONException: JSONObject["organization"] is not a JSONObject.
    at org.codehaus.jettison.json.JSONObject.getJSONObject(JSONObject.java:458)
    at org.openbravo.client.application.process.BaseProcessActionHandler.execute(BaseProcessActionHandler.java:129)
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 00259953.0PR14Q3 closedAugustoMauch Parameter Windows Phase III 

-  Notes
(0068230)
hgbot (developer)
2014-06-20 16:00

Repository: erp/devel/pi
Changeset: d615b5db09cd05e7dc8d1cf6c2d17eae1ee65ccb
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Fri Jun 20 15:59:37 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/d615b5db09cd05e7dc8d1cf6c2d17eae1ee65ccb [^]

fixed bug 26914: Process Definition fail if they don't have a single grid param

  -Do not assume 1st param is a grid
  -Do not assume there is a grid at all
  -Do not do the conversion if there are several grids
  -In case of failure don't do the conversion but continue the flow

---
M modules/org.openbravo.client.application/src/org/openbravo/client/application/process/BaseProcessActionHandler.java
---
(0068290)
hudsonbot (developer)
2014-06-25 01:35

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/e78ccbaf0186 [^]
Maturity status: Test
(0068356)
AugustoMauch (developer)
2014-06-26 15:51

Code reviewed and verified in pi@174b96a6fa01

- Issue History
Date Modified Username Field Change
2014-06-20 15:54 alostale New Issue
2014-06-20 15:54 alostale Assigned To => alostale
2014-06-20 15:54 alostale Modules => Core
2014-06-20 15:54 alostale Triggers an Emergency Pack => No
2014-06-20 15:56 alostale Regression level => Pre packaging ( pi )
2014-06-20 15:56 alostale Regression date => 2014-05-22
2014-06-20 15:56 alostale Regression introduced by commit => https://code.openbravo.com/erp/devel/pi/rev/ee094619e3f0 [^]
2014-06-20 15:57 alostale Relationship added related to 0025995
2014-06-20 15:57 alostale Review Assigned To => AugustoMauch
2014-06-20 16:00 hgbot Checkin
2014-06-20 16:00 hgbot Note Added: 0068230
2014-06-20 16:00 hgbot Status new => resolved
2014-06-20 16:00 hgbot Resolution open => fixed
2014-06-20 16:00 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/d615b5db09cd05e7dc8d1cf6c2d17eae1ee65ccb [^]
2014-06-25 01:35 hudsonbot Checkin
2014-06-25 01:35 hudsonbot Note Added: 0068290
2014-06-26 15:51 AugustoMauch Note Added: 0068356
2014-06-26 15:51 AugustoMauch Status resolved => closed
2014-06-26 15:51 AugustoMauch Fixed in Version => PR14Q3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker